object Parameter

Linear Supertypes
Ordering
  1. Alphabetic
  2. By Inheritance
Inherited
  1. Parameter
  2. AnyRef
  3. Any
  1. Hide All
  2. Show All
Visibility
  1. Public
  2. Protected

Type Members

  1. final case class CookieParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable

    Used to pass a specific cookie value to the API.

    Used to pass a specific cookie value to the API.

    name

    The name of the parameter. Parameter names are case sensitive.

    description

    A brief description of the parameter.

    required

    Determines whether this parameter is mandatory.

    deprecated

    Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

    allowEmptyValue

    Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

  2. sealed trait Definition extends SchemaOrReference
  3. final case class HeaderParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable

    Custom headers that are expected as part of the request.

    Custom headers that are expected as part of the request. Note that [RFC7230] states header names are case insensitive.

    name

    The name of the parameter. Parameter names are case sensitive.

    description

    A brief description of the parameter.

    required

    Determines whether this parameter is mandatory.

    deprecated

    Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

    allowEmptyValue

    Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

  4. final case class PathParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, style: PathStyle = QueryStyle.Simple, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable

    Used together with Path Templating, where the parameter value is actually part of the operation’s URL.

    Used together with Path Templating, where the parameter value is actually part of the operation’s URL. This does not include the host or base path of the API. For example, in /items/{itemId}, the path parameter is itemId.

    name

    The name of the parameter. Parameter names are case sensitive.

    description

    A brief description of the parameter.

    required

    Determines whether this parameter is mandatory.

    deprecated

    Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

    allowEmptyValue

    Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

  5. sealed trait PathStyle extends AnyRef
  6. final case class QueryParameter(name: String, description: Doc, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, allowReserved: Boolean = false, style: QueryStyle = QueryStyle.Form, explode: Boolean = true, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable

    Parameters that are appended to the URL.

    Parameters that are appended to the URL. For example, in /items?id=###, the query parameter is id.

    name

    The name of the parameter. Parameter names are case sensitive.

    description

    A brief description of the parameter.

    deprecated

    Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

    allowEmptyValue

    Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

  7. sealed trait QueryStyle extends AnyRef

Value Members

  1. final def !=(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  2. final def ##: Int
    Definition Classes
    AnyRef → Any
  3. final def ==(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  4. final def asInstanceOf[T0]: T0
    Definition Classes
    Any
  5. def clone(): AnyRef
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.CloneNotSupportedException]) @native() @IntrinsicCandidate()
  6. final def eq(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  7. def equals(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef → Any
  8. final def getClass(): Class[_ <: AnyRef]
    Definition Classes
    AnyRef → Any
    Annotations
    @native() @IntrinsicCandidate()
  9. def hashCode(): Int
    Definition Classes
    AnyRef → Any
    Annotations
    @native() @IntrinsicCandidate()
  10. final def isInstanceOf[T0]: Boolean
    Definition Classes
    Any
  11. final def ne(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  12. final def notify(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @IntrinsicCandidate()
  13. final def notifyAll(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @IntrinsicCandidate()
  14. final def synchronized[T0](arg0: => T0): T0
    Definition Classes
    AnyRef
  15. def toString(): String
    Definition Classes
    AnyRef → Any
  16. final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])
  17. final def wait(arg0: Long): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException]) @native()
  18. final def wait(): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])
  19. object Definition
  20. object QueryStyle

Deprecated Value Members

  1. def finalize(): Unit
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.Throwable]) @Deprecated
    Deprecated

Inherited from AnyRef

Inherited from Any

Ungrouped